WebLogic Server 12.1.3 PSU Jan 2018 Patch 27057030 Conflicts with Previous PSU Oct 2017 Patch 26519417

(Doc ID 2357015.1)

Last updated on FEBRUARY 15, 2018

Applies to:

Oracle WebLogic Server - Version 12.1.3.0.0 to 12.1.3.0.0 [Release 12c]
Information in this document applies to any platform.

Symptoms

OPatch is the utility used to apply and rollback one-off patches and Patch Set Updates (PSU) to Oracle WebLogic Server (WLS) 12c.

Problem: Applied PSU <Patch 26519417> for October 2017. Now attempting to apply PSU <Patch 27057030> for January 2018 and receiving a conflict message from OPatch.

Since PSUs are intended to be cumulative, OPatch is incorrectly reporting a conflict:

oracle.sysman.oii.oiii.OiiiInstallAreaControl initAreaControl
INFO: Install area Control created with access level 0
Applying interim patch '27057030' to OH '/opt/Oracle/Middleware_12_1.3'

Patch [ 27057030 ] conflict with patch(es) [ 26519417 ] in the Oracle Home.

To resolve patch conflicts please contact Oracle Support Services.

If you continue, patch(es) [ 26519417 ] will be rolled back and the new Patch [ 27057030 ] will be installed.

 

The EXPECTED message is a superset, not a conflict:

Interim patch 27057030 is a superset of the patch(es) [ 26519417 ] in the Oracle Home
OPatch will roll back the subset patches and apply the given patch.
All checks passed.
...
Rolling back interim patch '26519417' from OH '/opt/Oracle/Middleware_12_1.3'

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms